API referenceConnections
Begin connecting your account to an MCP server with OAuth
POST
For a server that connects with OAuth. Answers the authorization URL to open in a browser signed in to Pistis as you; the flow expires in ten minutes. A server that takes a pasted token answers 400.
bearerheader
AuthorizationBearer <token>An API token
server*stringA per-person MCP server
Begun
application/json- response
url*stringWhere to send the browser
expiresAt*integerUntil when (milliseconds since the epoch)
curl -X POST 'http://127.0.0.1:7777/connections/mcp/linear/connect'Example Response
{ "url": "string", "expiresAt": 0}